OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESData

# IGESData_NodeOfWriterLib Class Reference

`#include <IGESData_NodeOfWriterLib.hxx>`

## Public Member Functions
Standard_EXPORT | IGESData_NodeOfWriterLib ()
Standard_EXPORT void | AddNode (const Handle(IGESData_GlobalNodeOfWriterLib)&anode)
Standard_EXPORT const Handle_IGESData_ReadWriteModule & | Module () const
Standard_EXPORT const Handle_IGESData_Protocol & | Protocol () const
Standard_EXPORT const Handle_IGESData_NodeOfWriterLib & | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESData_GlobalNodeOfWriterLib | thenode
Handle_IGESData_NodeOfWriterLib | thenext

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_NodeOfWriterLib::IGESData_NodeOfWriterLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void IGESData_NodeOfWriterLib::AddNode | ( | const Handle(IGESData_GlobalNodeOfWriterLib)& | anode | ) |

Standard_EXPORT const IGESData_NodeOfWriterLib::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Handle_IGESData_ReadWriteModule& IGESData_NodeOfWriterLib::Module | ( |  | ) | const

Standard_EXPORT const Handle_IGESData_NodeOfWriterLib& IGESData_NodeOfWriterLib::Next | ( |  | ) | const

Standard_EXPORT const Handle_IGESData_Protocol& IGESData_NodeOfWriterLib::Protocol | ( |  | ) | const

## Field Documentation

Handle_IGESData_NodeOfWriterLib IGESData_NodeOfWriterLib::thenext`[private]`

Handle_IGESData_GlobalNodeOfWriterLib IGESData_NodeOfWriterLib::thenode`[private]`

The documentation for this class was generated from the following file:

- IGESData_NodeOfWriterLib.hxx